org.apache.jmeter.gui.util

## Class TextAreaCellRenderer

- java.lang.Object
- - org.apache.jmeter.gui.util.TextAreaCellRenderer

All Implemented Interfaces:
  TableCellRenderer

    public class TextAreaCellRenderer
    extends Object
    implements TableCellRenderer

### Constructor Summary

Constructors
Constructor and Description
`TextAreaCellRenderer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPreferredHeight()`
`Component` `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextAreaCellRenderer

    public TextAreaCellRenderer()

### Method Detail

#### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table,
                                                   Object value,
                                                   boolean isSelected,
                                                   boolean hasFocus,
                                                   int row,
                                                   int column)

Specified by:
  `getTableCellRendererComponent` in interface `TableCellRenderer`

#### getPreferredHeight

    public int getPreferredHeight()